Email Verification
curl --request POST \
--url https://webhook.cocoonmail.com/webhook/email/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com"
}
'import requests
url = "https://webhook.cocoonmail.com/webhook/email/verify"
payload = { "email": "jsmith@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com'})
};
fetch('https://webhook.cocoonmail.com/webhook/email/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/email/verify");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"email\": \"jsmith@example.com\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/email/verify");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"email\": \"jsmith@example.com\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);{
"message": "Email successfully verified",
"data": {
"email": "email",
"status": "safe",
"checked_at": "2025-08-29T07:28:02.043803Z"
}
}{
"message": "Invalid email format"
}{
"message": "Unauthorized request"
}{
"message": "Internal server error"
}Email verification
Email Verification
This endpoint verifies if an email is valid and safe.
POST
/
webhook
/
email
/
verify
Email Verification
Verify Email Address
Use this endpoint to verify if an email address is valid and safe before sending campaigns or transactional emails.This helps maintain list hygiene and improves deliverability.
Request Requirements
- Required field:
email: The email address to verify.
Response fields
| Property | Description |
|---|---|
| 200 | Email successfully verified |
| 400 | Invalid request (e.g., missing or badly formatted email) |
| 401 | Unauthorized request - API key missing or invalid |
| 500 | Internal server error |
⌘I